using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using Composite.Data;
using Composite.Data.Types;

namespace Demo
{
	public static class InlineMethodFunction
	{
		public static Expression<Func<Event,Boolean>> EventsByQuarterFilter(DataReference<Demo.Quarter> quarterRef)
		{            
			using (DataConnection connection = new DataConnection())
			{
				IEnumerable<Guid> monthIds = 
					from quarter in connection.Get<Demo.Quarter>()
					join month in connection.Get<Demo.Month>() on quarter.Id equals month.Quarter
					where quarter.Id == (Guid)quarterRef.KeyValue
					select month.Id;
					
				return f => monthIds.Contains(f.Month);
			}            
		}
	}
}
